Package org.drinkless.tdlib

# Class TdApi.SavedCredentials

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.SavedCredentials

Enclosing class:
  TdApi

public static class TdApi.SavedCredentials extends TdApi.Object
Contains information about saved payment credentials.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `id`
  Unique identifier of the saved credentials.
  `String`
  `title`
  Title of the saved credentials.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SavedCredentials()`
  Contains information about saved payment credentials.
  `SavedCredentials(String id, String title)`
  Contains information about saved payment credentials.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique identifier of the saved credentials.

  - ### title

    public String title
    Title of the saved credentials.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SavedCredentials

    public SavedCredentials()
    Contains information about saved payment credentials.

  - ### SavedCredentials

    public SavedCredentials(String id, String title)
    Contains information about saved payment credentials.
    Parameters:
      `id` - Unique identifier of the saved credentials.
      `title` - Title of the saved credentials.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR